Bug 61428 - comment= entries in desktop files suboptimal
comment= entries in desktop files suboptimal
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-games (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-19 10:39 EST by Bernhard Rosenkraenzer
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-19 14:36:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2002-03-19 10:39:17 EST
Description of Problem: 
Since KDE (and GNOME 2?) are moving towards displaying the Comment= desktop file entry in 
menus, they should be good menu entries. 
gnome-games prefixes almost every game with "Gnome", so you end up with menu entries 
looking like 
 
GNOME > Games > Gnome Robots Game 
 
I think just "Robots Game" would be preferrable. 
 
Version-Release number of selected component (if applicable): 
1.4.0.1-4 
 
How Reproducible: 
100% 
 
Steps to Reproduce: 
1. Install KDE 3.0 in the default configuration 
2. Look at the gnome menus in the K menu
Comment 1 Havoc Pennington 2002-03-19 12:48:37 EST
What the heck is KDE doing that for? The "Name=" field is for the name of the
menu entry, that's why it's called "Name" ;-)

Anyhow GNOME 2 displays Name in the menus, not Comment, so this needs to be
sorted out on xdg-list@freedesktop.org so that everyone is displaying the same
thing.

What does KDE do with the "Name" field?
Comment 2 Bernhard Rosenkraenzer 2002-03-19 12:57:59 EST
Both are used. in KDE3, you have the choice between  
  
* name  
* name (comment)  
* comment  
* comment (name)  
  
If you look at typical desktop files (all KDE, GNOME and plain-X11-with-desktop-file), 
you'll see that almost all the time, you have something like 
 
Name=kmail 
Comment=Email Client 
 
where showing the comment is preferrable.
Comment 3 Havoc Pennington 2002-03-19 14:36:27 EST
"Name" should be a good menu name, and "Comment" should be a tooltip.
For one take on this see http://www242.pair.com/nilsp/nils/panel/menus.html

Anyway if we want to have it configurable whether menu items show up as generic
names ("Email Client") vs. application names ("KMail") then we should say that 
the Name= field will be one of those, and add an additional field for the other;
overloading Comment for this purpose is nonsense, the Comment should be a
comment, not an "alternative menu name"

We need to bring this up on xdg-list and establish how it works.
Comment 4 Havoc Pennington 2002-07-02 19:15:43 EDT
Fixed on xdg-list.

Note You need to log in before you can comment on or make changes to this bug.